#!/bin/sh

githash=$1
if [ -z "$githash" ]; then
    echo "usage: $0 GITHASH"
    exit 1
fi

outputfile=letsencrypt-$githash.tar.xz

rm -rf letsencrypt-temp
git clone git@github.com:letsencrypt/letsencrypt.git letsencrypt-temp
cd letsencrypt-temp
    git archive --prefix=letsencrypt-$githash/ --format=tar ${githash} \
        | xz --compress --stdout > ../$outputfile
cd ..
rm -rf letsencrypt-temp
echo "exported source code in $outputfile"
