%global githash 524f46d
%global exportdate 20151028

%global snapshot %{exportdate}git%{githash}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           letsencrypt
Version:        0
Release:        1.%{snapshot}%{?dist}
Summary:        A free, automated certificate authority

# TODO: - Fix License tag. The code seems to be mostly licensed under ASL, only part of it is MIT.
License:        ASL 2.0 
URL:            https://letsencrypt.org/
Source0:        %{name}-%{githash}.tar.xz
Source1:        export-git-snapshot.sh

# check out Debian patch to remove mock version
# https://github.com/letsencrypt/letsencrypt-debian/blob/master/debian/patches/use_latest_mock.patch
# Even for EPEL6 it should be fine because the system
# mock should just work

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-cryptography python-setuptools python-zope-interface
Requires:       python-zope-component pytz python-psutil python-mock
Requires:       python-configobj python-werkzeug python-ndg_httpsclient
Requires:       pyOpenSSL

# pip install python2-pythondialog>=3.2.2rc1
# pip install pyrfc3339 parsedatetime ConfigArgParse argparse

%description
Let's Encrypt is a free, automated certificate authority that aims
to lower the barriers to entry for encrypting all HTTP traffic on the internet.

%prep
#setup -q -n %{name}-%{revision}
%setup -q -n %{name}-%{githash}


%build
(cd acme && CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
(cd acme && %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT)
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE.txt
%{python_sitelib}/*
%{_bindir}/jws
%{_bindir}/letsencrypt
%{_bindir}/letsencrypt-renewer

%changelog
* Sun Apr 26 2015 Torrie Fischer <tdfischer@hackerbots.net> 0-1.gitd045f7c
- Initial package
